# Script para BK de archivos desde un Bucket S3
## Requisitos del SO

- Instalar Python en su version minima de 3.7
- Tener mapeado el interprete en el path como: python3 (Alias)
- Tener mapeado el administrador de paquetes de python como: pip3 (Alias)
- Tener instalado la libreria para entornos virtuales: "virtualenv", si no se tiene, instalarla de la siguiente manera:
      
      pip3 install virtualenv

## Creación de entorno virtual
```sh
python3 -m virtualenv bk_script_env
source bk_script_env/bin/activate
pip3 install -r requirements.txt
```

## Configuración
- Establecere las credenciales de AWS (Key, Secret y Region) como variables de entorno del SO (se utiliza esta forma por seguridad). Por ejemplo:

          export ACCESS_KEY_ID=AKIAWF7U5VCKY4BSCM5P
          export SECRET_ACCESS_KEY=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
          export AWS_DEFAULT_REGION=us-east-1

- Configurar las carpetas en el archivo s3_project/config.py  (Seccion: # Carpetas)

## Ejecución
```sh
python3 -m s3_local_manager
```
